Bug 185359 - Review Request: kchm - CHM file viewer
Review Request: kchm - CHM file viewer
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 17:55 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-22 15:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-03-13 17:55:23 EST
SRPM Name or Url: 
http://www.environnement.ens.fr/perso/dumas/fc-srpms/kchm-0.6.5-1.src.rpm

Description: 
This is a chm file viewer + corresponding kpart and kio slave for KDE.
It based on libchm and libchm++.
Comment 1 Patrice Dumas 2006-03-13 17:59:47 EST
Thanks to Rex and Jochen for helping me packaging it.

Jochen has allready pointed out that there is a deficiency:
- - Mime binding doesn't work.

I don't know what it means, but here it is ;-)
Comment 2 Patrice Dumas 2006-03-14 14:37:10 EST
I think I fixed the mime handling in the updated version:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/kchm-0.6.5-2.src.rpm
Comment 3 John Mahowald 2006-05-29 18:04:28 EDT
Not building. 

Cannot find build req  libchmxx-devel

What package is supposed to provide that?

I assume the .la libtool files are necessary.
Comment 4 Patrice Dumas 2006-06-02 12:17:31 EDT
I forgot to push the builds for all the branches after libchmxx
was accepted... It is done now, so it should build.

The .la are necessary for kde.
Comment 5 Patrice Dumas 2006-07-05 11:53:58 EDT
kchmviewer is in extras allready, kchm doesn't seems to be very
active, and has trouble with accented entity characters in indices,
nobody seems really interested in it, maybe it is not worth pursuing 
the effort to include it in fedora extras? I am not that interrested
anymore to maintain it, given that kchmviewer seems superior. 

It seems to me that the cost of maintaining it would overcome largely
the benefits. I propose to close the request. Anybody really wanting
kchm?
Comment 6 John Mahowald 2006-07-22 15:05:56 EDT
I agree that with duplicate functionality already in Extras we can hold of on
this. Closing.

Note You need to log in before you can comment on or make changes to this bug.